You are not logged in.

Important Note: This forum is being archived and will be completely locked down on the 7th of February. The new forum can be found at http://laravel.io.

Announcement

    Laravel 4 Advanced Architecture: Book Now On Sale

#1 2013-06-16 10:39:47

karelv
Apprentice
Registered: 2013-06-16
Posts: 4

create-project issue with whoops install

During create-project I got error on my linux mint 14 w/ xampp 1.8.1 pc.
First I had to enable the zip.so, ok found it.
Then I still had an error telling me:
  - Installing filp/whoops (1.0.6)
    Downloading https://api dot github dot com/repos/filp/whoops/zipball/1.0.6
    Downloading: 100%         
    Writing .composer/cache/files/filp/whoops/1.0.6.0-1.0.6.zip into cache
    Extracting archive                                                                                                     
  [UnexpectedValueException]                                                                           
  'laravel4/L4/vendor/filp/whoops/8d855d177392ced4b00c26f19283bdd8.6' is not a zip archive. 

After that I tried to use composer install to get it install, and I used -vvv to get more details:
  - Installing filp/whoops (1.0.6)
    Downloading https://api dot github dot com/repos/filp/whoops/zipball/1.0.6
    Downloading: 100%         
    Writing .composer/cache/files/filp/whoops/1.0.6.0-1.0.6.zip into cache
    Extracting archive


                                                                                                       
  [UnexpectedValueException]                                                                           
  'laravel4/L4/vendor/filp/whoops/8d855d177392ced4b00c26f19283bdd8.6' is not a zip archive. 

I tried to download manuall the file 'https://api dot github dot com/repos/filp/whoops/zipball/1.0.6'.
But this file is only 9kByte, and I could indeed not open it with a zip-manager.

Now, I found also that I could use '--dest-source' as option to composer install, and now I got it working.

Note: On Winxp it worked fine yesterday.

Offline

#2 2013-06-16 10:58:23

VictorBjelkholm
Artisan
From: Barcelona, Catalunya
Registered: 2013-03-07
Posts: 20

Re: create-project issue with whoops install

Use Github downloads instead of cloning the repositories with the argument "--prefer-source" and the setup will be faster and probably not fail smile


Skype: VictorBjelkholm | Mail: victorbjelkholm@gmail.com

Offline

#3 2013-06-16 15:23:25

Szmergiel
Apprentice
Registered: 2013-06-16
Posts: 1

Re: create-project issue with whoops install

I downloaded Laravel from GitHub and ended up having the same error after I did "composer install".
Is there any other way to fix whoops installation?

Last edited by Szmergiel (2013-06-16 15:29:45)

Offline

#4 2013-06-16 16:32:06

loconnor
Apprentice
Registered: 2013-06-14
Posts: 2

Re: create-project issue with whoops install

I had the same issue using composer. Only started this morning.

Using the --prefer-source option worked but any clues as to why it suddenly happened?

Last edited by loconnor (2013-06-16 16:45:36)

Offline

#5 2013-06-16 22:16:54

Hutch
Apprentice
Registered: 2012-02-12
Posts: 2

Re: create-project issue with whoops install

There seems to be an issue with packagist.org at the moment, install with

composer install --prefer-source

Offline

Board footer

Powered by FluxBB

');